<?php
/**
 * Add tinyaccordion extension to the wizard in page module
 *
 * @package TYPO3
 * @subpackage tx_tinyaccordion
 */
class tinyaccordion_tinyaccordion_wizicon {

	const KEY = 'tinyaccordion';

	/**
	 * Processing the wizard items array
	 *
	 * @param array $wizardItems The wizard items
	 * @return array array with wizard items
	 */
	public function proc($wizardItems) {
		$wizardItems['plugins_tx_' . self::KEY] = array(
			'icon'			=> \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::extRelPath(self::KEY) . 'Resources/Public/Icons/ce_wiz.gif',
			'title'			=> $GLOBALS['LANG']->sL('LLL:EXT:tinyaccordion/Resources/Private/Language/locallang_be.xml:tinyaccordion_title'),
			'description'	=> $GLOBALS['LANG']->sL('LLL:EXT:tinyaccordion/Resources/Private/Language/locallang_be.xml:tinyaccordion_plus_wiz_description'),
			'params'		=> '&defVals[tt_content][CType]=list&defVals[tt_content][list_type]=' . self::KEY . '_tinyaccordion'
		);

		return $wizardItems;
	}
}

/**
 * Add tinyaccordion extension to the wizard in page module (old key)
 *
 * @package TYPO3
 * @subpackage tx_tinyaccordion
 */
class tinyaccordion_pi1_wizicon {

	const KEY = 'tinyaccordion';

	/**
	 * Processing the wizard items array
	 *
	 * @param array $wizardItems The wizard items
	 * @return array array with wizard items
	 */
	public function proc($wizardItems) {
		$wizardItems['plugins_tx_' . self::KEY] = array(
			'icon'			=> \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::extRelPath(self::KEY) . 'Resources/Public/Icons/ce_wiz.gif',
			'title'			=> $GLOBALS['LANG']->sL('LLL:EXT:tinyaccordion/Resources/Private/Language/locallang_be.xml:tinyaccordion_title'),
			'description'	=> $GLOBALS['LANG']->sL('LLL:EXT:tinyaccordion/Resources/Private/Language/locallang_be.xml:tinyaccordion_plus_wiz_description'),
			'params'		=> '&defVals[tt_content][CType]=list&defVals[tt_content][list_type]=' . self::KEY . '_pi1'
		);

		return $wizardItems;
	}
}

//if (defined('TYPO3_MODE') && $TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/tinyaccordion/Resources/Private/Php/class.tinyaccordion_wizicon.php']) {
//	include_once($TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/tinyaccordion/Resources/Private/Php/class.tinyaccordion_wizicon.php']);
//}
?>